#target photoshop
//
// Reverse.jsx
//

//
// Generated Tue Jun 10 2014 11:40:35 GMT+0400
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== Reverse ==============
//
function Reverse() {
  // Flip
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(cTID('Lyr '), cTID('Ordn'), cTID('Trgt'));
    desc1.putReference(cTID('null'), ref1);
    desc1.putEnumerated(cTID('Axis'), cTID('Ornt'), cTID('Hrzn'));
    executeAction(cTID('Flip'), desc1, dialogMode);
  };

  step1();      // Flip
};



//=========================================
//                    Reverse.main
//=========================================
//

Reverse.main = function () {
  Reverse();
};

Reverse.main();

// EOF

"Reverse.jsx"
// EOF
